GLANCES(1)

NAME
glances - An eye on your system

SYNOPSIS

glances [OPTIONS]

DESCRIPTION

glances is a cross-platform curses-based monitoring tool which aims to present a maximum of information in a minimum of space, ideally to fit in a classical 80x24 terminal or higher to have additional information. It can adapt dynamically the displayed information depending on the terminal size. It can also work in client/server mode. Remote monitoring could be done via terminal or web interface.

glances is written in Python and uses the psutil library to get information from your system.

OPTIONS

COMMAND-LINE OPTIONS

-h, --help
    show this help message and exit

-V, --version
    show program's version number and exit

-d, --debug
    enable debug mode

-C CONF_FILE, --config CONF_FILE
    path to the configuration file

-3, --disable-quicklook
    disable quick look module

-4, --full-quicklook
    disable all but quick look and load

--disable-cpu
    disable CPU module

--disable-mem
    disable memory module

--disable-swap
    disable swap module

--disable-load
    disable load module

--disable-network
    disable network module

--disable-ip
    disable IP module

--disable-diskio
    disable disk I/O module

--disable-fs
    disable filesystem module

--disable-folder
    disable folder module

--disable-irq
    disable IRQ module

--disable-sensors
    disable sensors module

--disable-hddtemp
    disable HD temperature module

--disable-raid
    disable RAID module

--disable-docker
    disable Docker module

--disable-ports
    disable Ports module

-5, --disable-top
    disable top menu (QuickLook, CPU, MEM, SWAP and LOAD)

-2, --disable-left-sidebar
    disable network, disk I/O, FS and sensors modules (py3sensors lib needed)

--disable-process
    disable process module

--disable-amps
    disable application monitoring process module

--disable-log
    disable log module

--disable-bold
    disable bold mode in the terminal

--disable-bg
    disable background colors in the terminal

--enable-process-extended
    enable extended stats on top process

--enable-history
    enable the history mode (matplotlib lib needed)

--path-history PATH_HISTORY
    set the export path for graph history

--export-csv EXPORT_CSV
    export stats to a CSV file

--export-influxdb
    export stats to an InfluxDB server (influxdb lib needed)

--export-cassandra
    export stats to a Cassandra/Scylla server (cassandra lib needed)

--export-opentsdb
    export stats to an OpenTSDB server (potsdb lib needed)

--export-statsd
    export stats to a StatsD server (statsd lib needed)

--export-rabbitmq
    export stats to RabbitMQ broker (pika lib needed)

--export-riemann
    export stats to Riemann server (bernhard lib needed)

--export-elasticsearch
    export stats to an Elasticsearch server (elasticsearch lib needed)

-c CLIENT, --client CLIENT
    connect to a Glances server by IPv4/IPv6 address or hostname

-s, --server
    run Glances in server mode

--browser
    start the client browser (list of servers)

--disable-autodiscover
    disable autodiscover feature

-p PORT, --port PORT
    define the client/server TCP port [default: 61209]

-B BIND_ADDRESS, --bind BIND_ADDRESS
    bind server to the given IPv4/IPv6 address or hostname

--username
    define a client/server username

--password
    define a client/server password

--snmp-community SNMP_COMMUNITY
    SNMP community

--snmp-port SNMP_PORT
    SNMP port

--snmp-version SNMP_VERSION
    SNMP version (1, 2c or 3)

--snmp-user SNMP_USER
    SNMP username (only for SNMPv3)

--snmp-auth SNMP_AUTH
    SNMP authentication key (only for SNMPv3)

--snmp-force
    force SNMP mode

-t TIME, --time TIME
    set refresh time in seconds [default: 3 sec]

-w, --webserver
    run Glances in web server mode (bottle lib needed)

-q, --quiet
    do not display the curses interface

-f PROCESS_FILTER, --process-filter PROCESS_FILTER
    set the process filter pattern (regular expression)

--process-short-name
    force short name for processes name

-0, --disable-irix
    task's CPU usage will be divided by the total number of CPUs

--hide-kernel-threads
    hide kernel threads in process list

--tree
    display processes as a tree

-b, --byte
    display network rate in byte per second

--diskio-show-ramfs
    show RAM FS in the DiskIO plugin

--diskio-iops
    show I/O per second in the DiskIO plugin

--fahrenheit
    display temperature in Fahrenheit (default is Celsius)

-1, --percpu
    start Glances in per CPU mode

--fs-free-space
    display FS free space instead of used

--theme-white
    optimize display colors for white background

INTERACTIVE COMMANDS

The following commands (key pressed) are supported while in Glances:

ENTER
    Set the process filter

    Note: on OS X, please use CTRL-H to delete filter.

    Filter is a regular expression pattern:

•   gnome: matches all processes starting with the gnome string

•   .*gnome.*: matches all processes containing the gnome string

a   Sort process list automatically

•   If CPU >70%, sort processes by CPU usage

•   If MEM >70%, sort processes by MEM usage

•   If CPU iowait >60%, sort processes by I/O read and write

A   Enable/disable Application Monitoring Process

b   Switch between bit/s or Byte/s for network I/O

B   View disk I/O counters per second

c   Sort processes by CPU usage

d   Show/hide disk I/O stats

D   Enable/disable Docker stats

e   Enable/disable top extended stats

E   Erase current process filter

f   Show/hide file system and folder monitoring stats

F   Switch between file system used and free space

g   Generate graphs for current history

h   Show/hide the help screen

i   Sort processes by I/O rate

I   Show/hide IP module

l   Show/hide log messages

m   Sort processes by MEM usage

M   Reset processes summary min/max

n   Show/hide network stats

p   Sort processes by name

q|ESC
    Quit the current Glances session

Q   Show/hide IRQ module

r   Reset history

R   Show/hide RAID plugin

s   Show/hide sensors stats

t   Sort process by CPU times (TIME+)

T   View network I/O as combination

u   Sort processes by USER

U   View cumulative network I/O

w   Delete finished warning log messages

x   Delete finished warning and critical log messages

z   Show/hide processes stats

0   Enable/disable Irix/Solaris mode

    Task's CPU usage will be divided by the total number of CPUs

1   Switch between global CPU and per-CPU stats

2   Enable/disable left sidebar

3   Enable/disable the quick look module

4   Enable/disable all but quick look and load module

5   Enable/disable top menu (QuickLook, CPU, MEM, SWAP and LOAD)

/   Switch between process command line or command name

    In the Glances client browser (accessible through the --browser command line argument):

ENTER
    Run the selected server

UP  Up in the servers list

DOWN
    Down in the servers list

q|ESC
    Quit Glances

EXAMPLES

Monitor local machine (standalone mode): $ glances

Monitor local machine with the web interface (Web UI): $ glances -w

Monitor local machine and export stats to a CSV file: $ glances --export-csv

Monitor local machine and export stats to a InfluxDB server with 5s refresh time (also possible to export to OpenTSDB, Cassandra, Statsd, ElasticSearch, RabbitMQ and Riemann): $ glances -t 5 --export-influxdb

Start a Glances server (server mode): $ glances -s

Connect Glances to a Glances server (client mode): $ glances -c <ip_server>

Connect to a Glances server and export stats to a StatsD server: $ glances -c <ip_server> --export-statsd

Start the client browser (browser mode): $ glances --browser

AUTHOR

Nicolas Hennion aka Nicolargo <contact@nicolargo.com>

COPYRIGHT
2016, Nicolas Hennion